Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTkRenderWidget Struct Reference

`#include <vtkTkRenderWidget.h>`

Collaboration diagram for vtkTkRenderWidget:

[legend]
List of all members.

## Detailed Description

a Tk Widget for vtk renderering

Date:
  2002/11/26 18:02:05

Revision:
  1.18

vtkTkRenderWidget is a Tk widget that you can render into. It has a GetRenderWindow method that returns a vtkRenderWindow. This can then be used to create a vtkRenderer and etc. You can also specify a vtkRenderWindow to be used when creating the widget by using the -rw option. It also takes -width and -height options. Events can be bound on this widget just like any other Tk widget.

See also:
  vtkRenderWindow vtkRenderer

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (28%)
  - Martin, Ken (24%)
  - Blezek, Dan (21%)
  - Starreveld, Yves (8%)
  - Geveci, Berk (8%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkTkRenderWidget.cxx)`
  - .`h` (`/Rendering/vtkTkRenderWidget.h)`

Examples:
  vtkTkRenderWidget (Examples)

Tests:
  vtkTkRenderWidget (Tests)

Definition at line 70 of file vtkTkRenderWidget.h.

## Public Attributes
Tk_Window | TkWin
Tcl_Interp * | Interp
int | Width
int | Height
vtkRenderWindow * | RenderWindow
char * | RW

## Member Data Documentation

Tk_Window vtkTkRenderWidget::TkWin

| Definition at line 72 of file vtkTkRenderWidget.h.

Tcl_Interp* vtkTkRenderWidget::Interp

| Definition at line 73 of file vtkTkRenderWidget.h.

int vtkTkRenderWidget::Width

| Definition at line 74 of file vtkTkRenderWidget.h.

int vtkTkRenderWidget::Height

| Definition at line 75 of file vtkTkRenderWidget.h.

vtkRenderWindow* vtkTkRenderWidget::RenderWindow

| Definition at line 76 of file vtkTkRenderWidget.h.

char* vtkTkRenderWidget::RW

| Definition at line 77 of file vtkTkRenderWidget.h.

The documentation for this struct was generated from the following file:

- Rendering/vtkTkRenderWidget.h